<div class="mat-elevation-z8">
  <table mat-table [dataSource]="dataSource">
    <ng-container matColumnDef="fio">
      <th mat-header-cell *matHeaderCellDef> ФИО</th>
      <td mat-cell *matCellDef="let element"> {{element.name}} </td>
    </ng-container>
    <ng-container matColumnDef="birthday">
      <th mat-header-cell *matHeaderCellDef> Дата рождения</th>
      <td mat-cell *matCellDef="let element"> {{element.birthday}} </td>
    </ng-container>
    <ng-container matColumnDef="phone">
      <th mat-header-cell *matHeaderCellDef> Телефон</th>
      <td mat-cell *matCellDef="let element"> {{element.phone}} </td>
    </ng-container>
    <ng-container matColumnDef="status">
      <th mat-header-cell *matHeaderCellDef> Статус</th>
      <td mat-cell *matCellDef="let element">
        <div *ngIf="element.status == 0">Принят</div>
        <div *ngIf="element.status == 2">Требуется модерация</div>
        <div *ngIf="element.status == 1">Отклонен</div>
      </td>
    </ng-container>

    <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
    <tr mat-row *matRowDef="let row; columns: displayedColumns;" (click)="selectUser(row.id)"></tr>
  </table>

  <mat-paginator [length]="length"
                 [pageSize]="10"></mat-paginator>
</div>
